#version 120

uniform vec3 ka;
uniform vec3 kd;
uniform vec3 ks;
uniform float s;

varying vec3 normal;
varying vec3 vPos;
varying vec3 lgtPos;

void main()
{
	
	vec3 n = normalize(normal);
	
	vec3 lightV = normalize(lgtPos - vPos);
	float diffComp = max(0.0, dot(lightV, n));
	vec3 vVect = normalize(-vPos);
	vec3 hVect = normalize(lightV + vVect);
	float aSpec = max(dot(hVect, n), 0.0);
	float spec = pow(aSpec, s);

	vec3 color = 1.0 * (ka + diffComp * kd + ks * spec);

	gl_FragColor = vec4(color.rgb, 1.0);
}
