#version 120

uniform sampler2D tex;

varying vec2 vTex0;

varying vec3 normal;
varying vec3 ePos;
varying vec3 lgtPos;

void main()
{
	vec3 n = normalize(normal);
	
	vec3 lightV = normalize(lgtPos - ePos);
	float diffComp = max(0.0, dot(lightV, n));

	vec3 vVect = normalize(-ePos);
	vec3 hVect = normalize(lightV + vVect);
	float aSpec = max(dot(hVect, n), 0.0);
	float spec = pow(aSpec, 50.0f);

	vec3 kd = texture2D(tex, vTex0).rgb;

	vec3 color =  diffComp * kd;

	gl_FragColor = vec4(color.rgb, 1.0);
}
