#version 120

uniform vec3 lightPos;
uniform mat4 P;
uniform mat4 MV;

attribute vec4 aPos; // in object space
attribute vec3 aNor; // in object space

varying vec3 normal;
varying vec3 vPos;
varying vec3 lgtPos;

void main()
{
	gl_Position = P * MV * aPos;
	normal = vec3(MV* vec4(aNor.xyz, 0.0f));
	vPos = vec3(MV * aPos);
	lgtPos = vec3(vec4(lightPos, 0.0f) * MV);
}
