#include "Component.h"
#include <iostream>

using namespace std;
using namespace Eigen;

Component::Component() :
	jointTrans(0, 0, 0),
	angle(0, 0, 0),
	meshTrans(0, 0, 0),
	meshScale(0, 0, 0),
	ka(0, 0, 0),
	kd(0, 0, 0),
	ks(0, 0, 0),
	s(0)

{
}

Component::~Component()
{
}




void Component::setShape(shared_ptr<Shape> input)
{
	 obj = input;
}
void Component::setTransformJoint(Vector3f input)
{
	jointTrans = input;
}
void Component::setAngle( Vector3f input)
{
	angle = input;
}
void Component::setTransformMesh(Vector3f input)
{
	meshTrans = input;
}
void Component::setScaleMesh(Vector3f input)
{
	meshScale = input;
}

void Component::setKa(Vector3f input)
{
	ka = input;
}
void Component::setKd(Vector3f input)
{
	kd = input;
}
void Component::setKs(Vector3f input)
{
	ks = input;
}
void Component::setS(float input)
{
	s = input;
}


shared_ptr<Shape> Component::getShape() {
	return obj;
}
Vector3f Component::getTransformJoint() {
	return jointTrans;
}
Vector3f Component::getAngle() {
		return angle;
}

Vector3f Component::getTransformMesh() {
	return meshTrans;
}
Vector3f Component::getScaleMesh() {
	return meshScale;
}
Vector3f Component::getKa() {
	return ka;
}
Vector3f Component::getKd() {
	return kd;
}
Vector3f Component::getKs() {
	return ks;
}
float Component::getS() {
	return s;
}