#pragma once
#ifndef _COMPONENT_H_
#define _COMPONENT_H_

#include <string>
#include <vector>
#include <memory>
#define EIGEN_DONT_ALIGN_STATICALLY
#include <Eigen/Dense>
#include <vector>

#include "GLSL.h"
#include "Program.h"
#include "Shape.h"

using namespace std;
using namespace Eigen;

class Program;

class Component
{
public:
	Component();
	virtual ~Component();

	void setShape(shared_ptr<Shape> input);
	void setTransformJoint(Vector3f input);
	void setAngle(Vector3f input);
	void setTransformMesh(Vector3f input);
	void setScaleMesh(Vector3f input);
	void setKa(Vector3f input);
	void setKd(Vector3f input);
	void setKs(Vector3f input);
	void setS(float input);

	shared_ptr<Shape> getShape();
	Vector3f getTransformJoint();
	Vector3f getAngle();
	Vector3f getTransformMesh();
	Vector3f getScaleMesh();
	Vector3f getKa();
	Vector3f getKd();
	Vector3f getKs();
	float getS();

	

private:
	shared_ptr<Shape> obj;
	Vector3f jointTrans;
	Vector3f angle;
	Vector3f meshTrans;
	Vector3f meshScale;
	Vector3f ka;
	Vector3f kd;
	Vector3f ks;
	float s;
};

#endif
