#pragma once
#ifndef Light_h
#define Light_h

#include <stack>
#include <memory>

#define EIGEN_DONT_ALIGN_STATICALLY
#include <vector>
#include "MatrixStack.h"
#include <stdio.h>
#include <Eigen/Dense>

using namespace Eigen;

class Light
{
public:
	Light();
	virtual ~Light();

	void setLightPos(Vector3f vector);
	Vector3f getLightPos();
	
	void changeXPos(float number);
	void changeYPos(float number);
	void changeZPos(float number);

	float getXPos();
	float getYPos();
	float getZPos();

	float xPos;
	float yPos;
	float zPos;
	
};

#endif /* Light_h */