#include "Target.h"
#include <iostream>

using namespace std;
using namespace Eigen;

Target::Target() :
	jointTrans(0, 0, 0),
	angle(0, 0, 0),
	meshTrans(0, 0, 0),
	meshScale(0, 0, 0),
	ka(0, 0, 0),
	kd(0, 0, 0),
	ks(0, 0, 0),
	s(0),
	type(0)		//0 == breakable | 1 == unbreakable

{
}

Target::~Target()
{
}




void Target::setShape(shared_ptr<Shape> input)
{
	 obj = input;
}
void Target::setTransformJoint(Vector3f input)
{
	jointTrans = input;
}
void Target::setAngle( Vector3f input)
{
	angle = input;
}
void Target::setTransformMesh(Vector3f input)
{
	meshTrans = input;
}
void Target::setScaleMesh(Vector3f input)
{
	meshScale = input;
}

void Target::setKa(Vector3f input)
{
	ka = input;
}
void Target::setKd(Vector3f input)
{
	kd = input;
}
void Target::setKs(Vector3f input)
{
	ks = input;
}
void Target::setS(float input)
{
	s = input;
}


shared_ptr<Shape> Target::getShape() {
	return obj;
}
Vector3f Target::getTransformJoint() {
	return jointTrans;
}
Vector3f Target::getAngle() {
		return angle;
}

Vector3f Target::getTransformMesh() {
	return meshTrans;
}
Vector3f Target::getScaleMesh() {
	return meshScale;
}
Vector3f Target::getKa() {
	return ka;
}
Vector3f Target::getKd() {
	return kd;
}
Vector3f Target::getKs() {
	return ks;
}
float Target::getS() {
	return s;
}
int Target::getType() {
	return type;
}